# Get transfers

The GET /transfers endpoint retrieves information for all transfers.

Endpoint: GET /transfers
Security: Bearer, BasicAuth

## Query parameters:

  - `tokenId` (string)
    Identifies the authorization token for the request.
    Example: "rq:ej5ACWNwi1EcqBeuDPc4Z8C4Bgc:5zKtXEAq"

  - `page.offset` (string)
    The offset for the current page. If the offset has been provided in the request, this offset will be equal to the provided one. But if no offset was provided in the request (i.e. this is the first page) and the page is not empty, this field will be populated with a non-empty string. This may be helpful for loading the same page again, which might not always be possible with an empty offset due to a dynamic nature of the data. The offset is not visible to a user and should not be parsed and/or understood in any way.
    Example: "LerV6Jmex"

  - `page.limit` (integer, required)
    The maximum number of records to return. This must be less than 200.
    Example: 175

  - `filter.tokenId` (string)
    Filters by the authorization token id.
    Example: "tt:3kFGtpEKHu8S2fJuEkb6YPnHZ4bJ2oUrYPCsJop68vCH:5zKcENpV"

  - `filter.startTimeMs` (string)
    Filtered list start time boundary in milliseconds, 1 day (24 hours) = 8640000000, 1 hour = 36000000, and 1 minute = 60000.
    Example: 72799

  - `filter.endTimeMs` (string)
    Filtered list end time boundary in milliseconds, 1 day (24 hours) = 8640000000, 1 hour = 36000000, and 1 minute = 60000.
    Example: 3341983424

  - `filter.transactionStatus` (string)
    Filters by transaction status.  PROCESSING – This status indicates that the transaction is in process and that the final status has not been received from the bank.SUCCESS – This status indicates that successful payment initiation has been received from the bank. Settlement might not be complete. INITIATED – This status is set when the previous status has remained as PROCESSING for 30 days and cannot be updated. The transaction has been initiated but the result is unknown. This is the final status and will not get updated later because Token.io has stopped polling the bank. This status is also returned in a two-step payment flow in the event that a user’s request has been authorized at the bank but the payment confirmation has subsequently failed.PENDING_EXTERNAL_AUTHORIZATION – This status indicates that the user has been sent to the bank to complete the authorization process. If not completed within the allowed timeframe (usually around 15 mins, but there are variations between banks) the transaction will expire and transition to FAILURE_EXPIRED. This status is only relevant for 1-step payment flows. FAILURE_GENERIC – This status usually indicates a technical failure. Possibly, a failure callback was received from the bank, with no transaction status and no further information. FAILURE_PERMISSION_DENIED – This status indicates that the user has been denied authorization at the bank This status is only relevant for two-step payment flows. FAILURE_CANCELED – This status indicates that the payment initiation has been canceled before execution. FAILURE_EXPIRED – This status indicates that the user did not complete the authorization process within the allowed timeframe (usually around 15 mins, but there are variations between banks) and the payment has expired. FAILURE_INSUFFICIENT_FUNDS – This status indicates that the payment initiation request has been rejected due to insufficient funds. FAILURE_DECLINED – This status indicates that the payment initiation has been rejected by the bank. SETTLEMENT_IN_PROGRESS – This status is provided when a Token.io settlement account is used as the beneficiary for the payment, and replaces the payment initiation status. Token.io is waiting for the payment to reach the payee bank. No action is required; await the next step, e.g., Token.io sends a webhook with the status update, or a polling call. The status will change to SETTLEMENT_IN_PROGRESS soon after Token.io receives the final status from the debtor bank. SETTLEMENT_COMPLETED – This status is provided when a Token.io settlement account is used as the beneficiary for the payment, and replaces the payment initiation status. The payment has reached the payee bank and Token.io has matched the transaction in the TPP’s settlement account to the initiated payment. For instant payments, SETTLEMENT_COMPLETED will be achieved within 30-45 minutes from payment initiation, at the latest. For non-instant payments, the time to reach SETTLEMENT_COMPLETED will depend on the clearing period for the payment.SETTLEMENT_INCOMPLETE – This status is provided when a Token.io settlement account is used as the beneficiary for the payment, and replaces the payment initiation status. Reconciliation has failed. This happens when Token.io doesn't find the corresponding transaction in the TPP’s settlement account automatically.During settlement of a settlement accounts payment, the status update job will run first for up to 30 days. Payment will then enter into a 'final' status, normally SUCCESS.Once the status update job has run, the reconciliation job looks for matching inbound payments.For SEPA payments:if a matching inbound payment is found within 15 days of the final payment status update -> SETTLEMENT_COMPLETEDif no matching inbound payment is found within 15 days of the final payment status update -> SETTLEMENT_INCOMPLETEFor SEPA Instant payments:if a matching inbound payment is found within 1 day of the final payment status update -> SETTLEMENT_COMPLETEDif no matching inbound payment is found within 1 day of the final payment status update -> SETTLEMENT_INCOMPLETE
    Enum: "PROCESSING", "SUCCESS", "INITIATED", "PENDING", "PENDING_EXTERNAL_AUTHORIZATION", "FAILURE GENERIC", "FAILURE_PERMISSION_DENIED", "FAILURE_CANCELED", "FAILURE_EXPIRED", "FAILURE_INSUFFICIENT_FUNDS", "FAILURE_DECLINED", "SETTLEMENT_IN_PROGRESS", "SETTLEMENT_COMPLETED", "SETTLEMENT_INCOMPLETE"

  - `filter.role` (string)
    Filters list by the account holder role.
    Enum: "ANY", "PAYER", "PAYEE"

  - `filter.actingAsRefId` (string)
    Filters the list by the sub-TPP identifier generated by Token.io once a TPP has been onboarded.
    Example: "4kwl35c9sp3fwp4xq"

  - `filter.refId` (string)
    Filters list by refID.
    Example: "9htio4a1sp2akdr1aa"

  - `filter.transferRefundStatus` (string)
    Filters list by refund status.
    Enum: "UNSET", "NONE", "PARTIAL", "FULL"

## Response 200 fields (application/json):

  - `offset` (string)
    The offset of the first item returned in the collection.
    Example: "LerV6Jmex"

  - `transfers` (array)

  - `transfers.actingAs` (object)
    Specifies another party for whom the token was created 'on behalf of'.

  - `transfers.actingAs.displayName` (string)
    The name of the recipient shown to the user; required when specifying actingAs, optional otherwise.
    Example: "The Great Baking Co."

  - `transfers.actingAs.refId` (string)
    The TPP-generated reference identifier for the token. This is not to be confused with the requestId. The refId maps to the tppRefId in the bank's consentRequest. This is needed to match/verify the originating token request with the bank's consent request. We recommend that the refId should not contain special characters (the allowed characters are the 26-letter Latin alphabet, the numerical digits from 0-9 and the hyphen '-'). This field should not exceed 18 characters in length.
    Example: "9htio4a1sp2akdr1aa"

  - `transfers.actingAs.secondaryName` (string)
    The domain or email address of the recipient shown to the user along with the displayName.
    Example: "jane.doe@company.com"

  - `transfers.convertedToFutureDatedPayment` (boolean)
    Indicates whether a transfer is from an auto single immediate payment coinciding with the bank's out-of-operation hours was converted to a future dated payment

  - `transfers.createdAtMs` (string)
    Specifies the time the transfer was created; timestamp (UTC) in milliseconds, 1 day (24 hours) = 8640000000, 1 hour = 36000000, and 1 minute = 60000.
    Example: 1729212980771

  - `transfers.executionDate` (string)
    Specifies the execution date for the transfer (in ISO 8601 format).
    Example: "2023-01-28"

  - `transfers.id` (string)
    The transferId computed as the hash of the transfer payload.
    Example: "tt:83KiRJuXmEDV5m2b8ZvLGE91ELf7PPw5BaDab98kMguu:3VMczyq7r7b6HwC"

  - `transfers.payload` (object)
    Contains the financial details of the transfer.

  - `transfers.payload.amount` (object, required)
    The transaction currency and value.

  - `transfers.payload.amount.currency` (string)
    The ISO 4217 three letter currency code.
    Example: "EUR"

  - `transfers.payload.amount.value` (string)
    The transaction amount with up to four digits after the decimal point.
    Example: "10.23"

  - `transfers.payload.confirmFunds` (boolean)
    Requests confirmation that sufficient funds are available.

  - `transfers.payload.description` (string)
    A description of the transfer.

  - `transfers.payload.metadata` (object)
    Information governing or otherwise related to the transfer instructions.

  - `transfers.payload.metadata.chargeBearer` (string)
    The bearer of the charge, if any, for international transfers. CRED - all charges are borne by the creditor. DEBT - all charges are borne by the debtor. SHAR - the parties share the charges. SLEV - each party bears its own charges, recommended on SEPA payments.
    Enum: "INVALID_CHARGE_BEARER", "CRED", "DEBT", "SHAR", "SLEV"

  - `transfers.payload.metadata.providerTransferMetadata` (object)
    The transfer metadata required under the Open Banking API standard adopted by the bank.

  - `transfers.payload.metadata.purposeCode` (string)
    The ISO 20022 external purpose code. Purpose Codes are four letter codes which are carried across the payment chain, providing information to all users in the payments chain to indicate the reason a payment is being made. Purpose Codes are one of the policy areas of Enhanced Data that can deliver the benefits of the ISO 20022 payment messaging standard. CASH - CashManagementTransferCORT - TradeSettlementPaymentDVPM - DeliveryAgainstPaymentINTC - IntraCompanyPaymentTREA - TreasuryPaymentSUPP - SupplierPayment
    Enum: "CASH", "CORT", "DVPM", "INTC", "TREA", "SUPP"

  - `transfers.payload.metadata.ultimateCreditor` (string)
    The ultimate party to which an amount of money is due.
    Example: "ACME GmbH"

  - `transfers.payload.metadata.ultimateDebtor` (string)
    The ultimate party that owes that owes money to the (ultimate) creditor.
    Example: "John Smith"

  - `transfers.payload.refId` (string, required)
    The TPP-generated reference identifier for the token. This is not to be confused with the requestId. The refId maps to the tppRefId in the bank's consentRequest. This is needed to match/verify the originating token request with the bank's consent request. We recommend that the refId should not contain special characters (the allowed characters are the 26-letter Latin alphabet, the numerical digits from 0-9 and the hyphen '-'). This field should not exceed 18 characters in length.
    Example: "9htio4a1sp2akdr1aa"

  - `transfers.payload.tokenId` (string, required)
    Identifies the authorization token for the transfer.
    Example: "tt:8zK1dic95omjWb72gvc3z3ELKbTNfnGd89MbDnM73er4:ZhBVAJSH8DeU1"

  - `transfers.payload.transferDestinations` (array)
    The beneficiary account specifying the transfer destination; i.e., TPP/merchant/creditor.

  - `transfers.payload.transferDestinations.customerData` (object, required)
    Specifies the legal identity information for the payee. This information is not required for settlement accounts.

  - `transfers.payload.transferDestinations.customerData.address` (object)
    The complete postal address of a party.

  - `transfers.payload.transferDestinations.customerData.address.city` (string)
    Name of the city as given in postal addresses of the building/area.
    Example: "Berlin"

  - `transfers.payload.transferDestinations.customerData.address.conscriptionNumber` (string)
    A special kind of house number. This relates to a settlement instead of a street. Conscription numbers are in use in some parts of Europe, sometimes together with street-related house numbers, which are also called orientation numbers.
    Example: "2831"

  - `transfers.payload.transferDestinations.customerData.address.country` (string)
    Two-letter country code in upper case (ISO 3166-1 alpha-2).
    Example: "DE"

  - `transfers.payload.transferDestinations.customerData.address.district` (string)
    A defined district within the city or country containing the address.
    Example: "Friedrichshain"

  - `transfers.payload.transferDestinations.customerData.address.flats` (string)
    House numbers (range or list) of flats behind a door.
    Example: "21A - 21C"

  - `transfers.payload.transferDestinations.customerData.address.full` (string)
    This is used for a full-text, often multi-line address if you find the structured address fields unsuitable for denoting the address of this particular location. Typically such strings cannot be parsed by software.
    Example: "Fifth house on the left after the village oak, Smalltown, Smallcountry"

  - `transfers.payload.transferDestinations.customerData.address.hamlet` (string)
    A small settlement. In different jurisdictions and geographies, a hamlet may be the size of a town, village, or parish, or may be considered to be a smaller settlement or subdivision or satellite entity to a larger settlement.
    Example: "Botzowviertel"

  - `transfers.payload.transferDestinations.customerData.address.houseName` (string)
    The name of a house. Sometimes used in countries like England instead of (or in addition to) a house number.
    Example: "Grossen Blauen Haus"

  - `transfers.payload.transferDestinations.customerData.address.houseNumber` (string)
    The house number (may contain letters, dashes, or other characters). This identifies a single building with multiple addresses.
    Example: "123"

  - `transfers.payload.transferDestinations.customerData.address.place` (string)
    The part of an address which refers to the name of some territorial zone (like an island or square) instead of a street. It should not be included together with street.
    Example: "Arnswalder Platz"

  - `transfers.payload.transferDestinations.customerData.address.postCode` (string)
    An identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.
    Example: "10243"

  - `transfers.payload.transferDestinations.customerData.address.province` (string)
    For Canada, uppercase two-letter postal abbreviations, e.g., BC, AB, ON, QC.
    Example: "BC"

  - `transfers.payload.transferDestinations.customerData.address.state` (string)
    For the US, uppercase two-letter postal abbreviations, e.g., AK, CA, HI, NY, TX, WY.
    Example: "CA"

  - `transfers.payload.transferDestinations.customerData.address.street` (string)
    the name of the respective street in which the dwelling or business is located or where mail is received.
    Example: "Hans-Otto-Strasse"

  - `transfers.payload.transferDestinations.customerData.address.subdistrict` (string)
    A smaller, readily identifiable part of a district.
    Example: "Friedrichshain Nord"

  - `transfers.payload.transferDestinations.customerData.address.suburb` (string)
    Suburbs and localities are the names of geographic subdivisions of urban areas in Australia.
    Example: "Altona Meadows Suburb"

  - `transfers.payload.transferDestinations.customerData.legalNames` (array, required)
    The legal owner name for the creditor account.
    Example: "Mr John Arthur Smith"

  - `transfers.payload.transferDestinations.type` (string)
    Specifies the type of transfer destination.
    Enum: "UNKNOWN", "BUSINESS", "PERSONAL"

  - `transfers.payloadSignatures` (array)

  - `transfers.payloadSignatures.keyId` (string)
    The id of the public key used to verify the signature. This is only present if a tokenId is present. It can be used to validate that the provided tokenId corresponds to the token request (this is needed for Hosted Pages flows only).
    Example: "CqSTHPvWY_dgVh-f"

  - `transfers.payloadSignatures.memberId` (string)
    The Token.io member id of the signing member.
    Example: "m:nP4w3u5y8ddrxDJkjimgSX9e4fZ:5zKtXEAq"

  - `transfers.payloadSignatures.signature` (string)
    The Base64url-encoded ciphertext signature.
    Example: "ODRWmM0xMRM7CKmK3bNl4e2Kb2btavTbZssCsrHsu8yopoKxBzouBrD9q5-E63tgdV1DpB7i31vwNDKywA0CAE"

  - `transfers.providerDetails` (object)
    Information about the transfer.

  - `transfers.providerDetails.id` (string)
    A provider-specific reference id generated upon TPP submission.
    Example: "uXmEDV5m2b8ZvLGE91ELf7PPw5BaDab98kMguu"

  - `transfers.providerDetails.status` (string)
    The status provided by the bank. This can be the ISO 20022 payment status code. See ISO 20022 payment status codes for more information.
    Example: "AcceptedSettlementCompleted"

  - `transfers.refund` (object)
    Contains information about each refund initiation record in the list.

  - `transfers.refund.account` (object)
    Account numbers and other strings that identify this as a unique bank account.

  - `transfers.refund.name` (string)
    Name of the account.
    Example: "John A Smith"

  - `transfers.refundDetails` (object)
    Contains details of the refunded amount settled, the transfer balance remaining, and whether initiated.

  - `transfers.refundDetails.remainingRefundAmount` (object)
    The currency and value of the original amount minus the total amount refunded (includes items in processing).

  - `transfers.refundDetails.remainingRefundAmount.currency` (string, required)
    The ISO 4217 three letter currency code.
    Example: "EUR"

  - `transfers.refundDetails.remainingRefundAmount.value` (string, required)
    The transaction amount with up to four digits after the decimal point.
    Example: "10.23"

  - `transfers.refundDetails.settledRefundAmount` (object)
    The currency and value of the amount successfully refunded.

  - `transfers.refundDetails.settledRefundAmount.currency` (string, required)
    The ISO 4217 three letter currency code.
    Example: "EUR"

  - `transfers.refundDetails.settledRefundAmount.value` (string, required)
    The transaction amount with up to four digits after the decimal point.
    Example: "10.23"

  - `transfers.refundDetails.transferRefundStatus` (string)
    Indicates the status of the initiated refund payout.
    Enum: "UNSET", "NONE", "PARTIAL", "FULL"

  - `transfers.source` (object)
    Contains information about the payer account.

  - `transfers.source.accountIdentifier` (object, required)
    Account numbers and other strings that identify this as a unique bank account.

  - `transfers.source.bankId` (string)
    The Token.io id of the bank where the consent is created. This field is required if the customer is not using Token.io's Hosted Pages for bank selection, i.e., API-only integration when EMBEDDED_HOSTED_PAGES is selected in flowType, or Hosted Pages embedded (modal) integration.
    Example: "ob-modelo"

  - `transfers.source.bic` (string)
    The Business Identifier Code (BIC), ISO 9362, is the SWIFT Address assigned to a bank in order to send automated payments quickly and accurately to the banks concerned. It uniquely identifies the name and country, (and sometimes the branch) of the bank involved. BICs are often called SWIFT Codes and can be either 8 or 11 characters long.
    Example: "BOFIIE2D"

  - `transfers.source.customerData` (object)
    Specifies the legal identity information for the payer/customer.

  - `transfers.source.customerData.address` (object)
    The complete postal address of a party.

  - `transfers.source.customerData.address.city` (string)
    Name of the city as given in postal addresses of the building/area.
    Example: "Berlin"

  - `transfers.source.customerData.address.conscriptionNumber` (string)
    A special kind of house number. This relates to a settlement instead of a street. Conscription numbers are in use in some parts of Europe, sometimes together with street-related house numbers, which are also called orientation numbers.
    Example: "2831"

  - `transfers.source.customerData.address.country` (string)
    Two-letter country code in upper case (ISO 3166-1 alpha-2).
    Example: "DE"

  - `transfers.source.customerData.address.district` (string)
    A defined district within the city or country containing the address.
    Example: "Friedrichshain"

  - `transfers.source.customerData.address.flats` (string)
    House numbers (range or list) of flats behind a door.
    Example: "21A - 21C"

  - `transfers.source.customerData.address.full` (string)
    This is used for a full-text, often multi-line address if you find the structured address fields unsuitable for denoting the address of this particular location. Typically such strings cannot be parsed by software.
    Example: "Fifth house on the left after the village oak, Smalltown, Smallcountry"

  - `transfers.source.customerData.address.hamlet` (string)
    A small settlement. In different jurisdictions and geographies, a hamlet may be the size of a town, village, or parish, or may be considered to be a smaller settlement or subdivision or satellite entity to a larger settlement.
    Example: "Botzowviertel"

  - `transfers.source.customerData.address.houseName` (string)
    The name of a house. Sometimes used in countries like England instead of (or in addition to) a house number.
    Example: "Grossen Blauen Haus"

  - `transfers.source.customerData.address.houseNumber` (string)
    The house number (may contain letters, dashes, or other characters). This identifies a single building with multiple addresses.
    Example: "123"

  - `transfers.source.customerData.address.place` (string)
    The part of an address which refers to the name of some territorial zone (like an island or square) instead of a street. It should not be included together with street.
    Example: "Arnswalder Platz"

  - `transfers.source.customerData.address.postCode` (string)
    An identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.
    Example: "10243"

  - `transfers.source.customerData.address.province` (string)
    For Canada, uppercase two-letter postal abbreviations, e.g., BC, AB, ON, QC.
    Example: "BC"

  - `transfers.source.customerData.address.state` (string)
    For the US, uppercase two-letter postal abbreviations, e.g., AK, CA, HI, NY, TX, WY.
    Example: "CA"

  - `transfers.source.customerData.address.street` (string)
    the name of the respective street in which the dwelling or business is located or where mail is received.
    Example: "Hans-Otto-Strasse"

  - `transfers.source.customerData.address.subdistrict` (string)
    A smaller, readily identifiable part of a district.
    Example: "Friedrichshain Nord"

  - `transfers.source.customerData.address.suburb` (string)
    Suburbs and localities are the names of geographic subdivisions of urban areas in Australia.
    Example: "Altona Meadows Suburb"

  - `transfers.source.customerData.legalNames` (array)
    Legal owner name for the debtor account.
    Example: "Mr John Arthur Smith"

  - `transfers.status` (string)
    Filters by transaction status.  PROCESSING – This status indicates that the transaction is in process and that the final status has not been received from the bank. SUCCESS – This status indicates that successful payment initiation has been received from the bank. Settlement might not be complete. INITIATED – This status is set when the previous status has remained as PROCESSING for 30 days and cannot be updated. The transaction has been initiated but the result is unknown. This is the final status and will not get updated later because Token.io has stopped polling the bank. This status is also returned in a two-step payment flow in the event that a user’s request has been authorized at the bank but the payment confirmation has subsequently failed. PENDING – This status indicates that the user has successfully completed the authorization process at the bank and the transfer is pending redemption. This status is only relevant for two-step payment flows. PENDING_EXTERNAL_AUTHORIZATION – This status indicates that the user has been sent to the bank to complete the authorization process. If not completed within the allowed timeframe (usually around 15 mins, but there are variations between banks) the transaction will expire and transition to FAILURE_EXPIRED. This status is only relevant for 1-step payment flows. FAILURE_GENERIC – This status usually indicates a technical failure. Possibly, a failure callback was received from the bank, with no transaction status and no further information. FAILURE_PERMISSION_DENIED – This status indicates that the user has been denied authorization at the bank This status is only relevant for two-step payment flows. FAILURE_CANCELED – This status indicates that the payment initiation has been cancelled before execution. FAILURE_EXPIRED – This status indicates that the user did not complete the authorization process within the allowed timeframe (usually around 15 mins, but there are variations between banks) and the payment has expired. FAILURE_INSUFFICIENT_FUNDS – This status indicates that the payment initiation request has been rejected due to insufficient funds. FAILURE_DECLINED – This status indicates that the payment initiation has been rejected by the bank. SETTLEMENT_IN_PROGRESS – This status is provided when a Token.io settlement account is used as the beneficiary for the payment, and replaces the payment initiation status. Token.io is waiting for the payment to reach the payee bank. No action is required; await the next step, e.g., Token.io sends a webhook with the status update, or a polling call. The status will change to SETTLEMENT_IN_PROGRESS soon after Token.io receives the final status from the debtor bank. SETTLEMENT_COMPLETED – This status is provided when a Token.io settlement account is used as the beneficiary for the payment, and replaces the payment initiation status. The payment has reached the payee bank and Token.io has matched the transaction in the TPP’s settlement account to the initiated payment. For instant payments, SETTLEMENT_COMPLETED will be achieved within 30-45 minutes from payment initiation, at the latest. For non-instant payments, the time to reach SETTLEMENT_COMPLETED will depend on the clearing period for the payment. SETTLEMENT_INCOMPLETE – This status is provided when a Token.io settlement account is used as the beneficiary for the payment, and replaces the payment initiation status. Reconciliation has failed. This happens when Token.io doesn't find the corresponding transaction in the TPP’s settlement account automatically.During settlement of a settlement accounts payment, the status update job will run first for up to 30 days. Payment will then enter into a 'final' status, normally SUCCESS.Once the status update job has run, the reconciliation job looks for matching inbound payments.For SEPA payments:if a matching inbound payment is found within 15 days of the final payment status update -> SETTLEMENT_COMPLETEDif no matching inbound payment is found within 15 days of the final payment status update -> SETTLEMENT_INCOMPLETEFor SEPA Instant payments:if a matching inbound payment is found within 1 day of the final payment status update -> SETTLEMENT_COMPLETEDif no matching inbound payment is found within 1 day of the final payment status update -> SETTLEMENT_INCOMPLETE
    Enum: "PROCESSING", "SUCCESS", "INITIATED", "PENDING", "PENDING_EXTERNAL_AUTHORIZATION", "FAILURE_GENERIC", "FAILURE_PERMISSION_DENIED", "FAILURE_CANCELED", "FAILURE_EXPIRED", "FAILURE_INSUFFICIENT_FUNDS", "FAILURE_DECLINED", "SETTLEMENT_IN_PROGRESS", "SETTLEMENT_COMPLETED", "SETTLEMENT_INCOMPLETE"

  - `transfers.statusReasonInformation` (string)
    A human-readable description of the reason for the reported status, which may include a message from the bank. This value should not exceed 256 characters in length.
    Example: "This transfer is processing."

  - `transfers.transactionId` (string)
    The unique transaction identifier; the transaction id.
    Example: "2UhwCZ3BMaEcAUK8bZdukor7NL4tH6TBuu6aJMp5KKfX:5zKcENpV"

## Response 400 fields (application/json):

  - `error` (object)
    The request does not have valid authentication credentials needed to perform the operation.

  - `error.message` (string)
    A description of the error.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"

## Response 401 fields (application/json):

  - `error` (object)
    The request does not have valid authentication credentials needed to perform the operation.

  - `error.message` (string)
    A description of the error.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"

## Response 403 fields (application/json):

  - `error` (object, required)
    The error returned when the member is not authorized to perform the given operation: PermissionDenied. This error message will be accompanied by the reason from the bank. Typically this means the access token has expired and the user must re-authenticate with the bank.

  - `error.errorCode` (string, required)
    A textual error code categorising the error.
    Example: "InternalServerError"

  - `error.message` (string, required)
    A description of the error that occurred and a possible way to fix it.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"

## Response 404 fields (application/json):

  - `error` (object, required)
    The error object returned when given payment cannot be found: ResourceNotFound.

  - `error.errorCode` (string, required)
    A textual error code categorising the error.
    Example: "InternalServerError"

  - `error.paymentId` (string, required)
    The requested entity, the paymentID, was not found.
    Example: "pm2:12345abcd:abcde"

  - `error.message` (string, required)
    A description of the error that occurred and a possible way to fix it.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"

## Response 429 fields (application/json):

  - `error` (object, required)
    Resource exhausted. Too many requests.

  - `error.errorCode` (string, required)
    A textual error code categorising the error.
    Example: "InternalServerError"

  - `error.paymentId` (string, required)
    The maximum number of requests has been reached.
    Example: "Resource exhausted. Check quota."

  - `error.message` (string, required)
    A description of the error that occurred and a possible way to fix it.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"

## Response 500 fields (application/json):

  - `error` (object)
    This could refer to either an error by the payment service provider or the bank. When the bank reports a 5xx error, "token-external-error": "true" is set as a header in the HTTP response, indicating that the "internal" error originates from the bank. When one of the payment service providers internal services fails or when the bank reports a 4xx error, this header is not populated. The absence of this response header should be interpreted as "token-external-error": "false".

  - `error.errorCode` (string, required)
    This is a textual error code categorising the error.
    Example: "InternalServerError"

  - `error.message` (string, required)
    A description of the error.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"

## Response 501 fields (application/json):

  - `error` (object, required)
    The operation was not implemented, supported or enabled by the bank.

  - `error.errorCode` (string, required)
    A textual error code categorising the error.
    Example: "InternalServerError"

  - `error.paymentId` (string, required)
    The operation was not implemented,supported or enabled by the bank.
    Example: "Not implemented."

  - `error.message` (string, required)
    A description of the error that occurred and a possible way to fix it.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"

## Response 503 fields (application/json):

  - `error` (object, required)
    Service is unavailable, likely due to a transient condition; this is usually corrected with a retry.

  - `error.errorCode` (string, required)
    A textual error code categorising the error.
    Example: "InternalServerError"

  - `error.paymentId` (string, required)
    The service is unavailable, likely due to a transient condition; this is usually corrected with a retry.
    Example: "Unavailable"

  - `error.message` (string, required)
    A description of the error that occurred and a possible way to fix it.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"

## Response 504 fields (application/json):

  - `error` (object, required)
    The deadline expired before the operation could complete.

  - `error.errorCode` (string, required)
    A textual error code categorising the error.
    Example: "InternalServerError"

  - `error.paymentId` (string, required)
    The deadline expired before the operation could complete.
    Example: "Deadline exceeded."

  - `error.message` (string, required)
    A description of the error that occurred and a possible way to fix it.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"


